WPJ428 + SIMCOM 8202G
=====================

<div style="margin:auto">
<img src="img/boitier-v2.jpg" style="max-width: 600px"/>
</div>

We try to build a NR5G router with OpenWRT as our main internet access point for our home.
One specificity is that we need external antenna as on the ground there is no signal at all

Our project is currently made of the following physical parts:
  - A custom made case that is 3D printed - [Download files](./3D_model)
  - A Compex WPJ428 board - [wi-cat.ru](https://wikidevi.wi-cat.ru/Compex_WPJ428)
  - A Simcom 8202G modema - [official site](https://www.simcom.com/product/SIM8202GM2.html)
  - Some antennas, the setup is not definitive yet
    - Log-Periodic Dipole Array (LPDA) Antenna - Directional antenna LTE 800/1800/2600 MHz, MIMO, SMA - [wimo](https://www.wimo.com/en/antennas/gsm-lte-mobile-phone-antennas/60072) - [diff between yagi and lpda](https://powerfulsignal.com/blog/whats-the-difference-between-an-lpda-antenna-and-a-yagi-antenna/)
    - A cheap cross antenna - [amazon](https://www.amazon.fr/gp/product/B00BBKKULW/ref=ppx_yo_dt_b_asin_title_o04_s00)
    - Some small wifi-like antenna - [wimo, similar but different](https://www.wimo.com/en/antennas/gsm-lte-mobile-phone-antennas/60022-sma)

We try to document our journey here:
  - Guides
    - [Our own OpenWRT image for the WPJ428](./doc/compile.md)
    - [Flash OpenWRT on the WPJ428](./doc/flash.md)
    - [Manually connect a modem to the network](./doc/manual-modem.md)
    - [Our OpenWRT configuration](./doc/config.md)
  - Problems we encountered
    - Wrong dimensions for the board
    - Ethernet ports are not configured at boot
    - [The UDP+Don't Fragment bug](./doc/udp-df.md)
    - [Tracking the bandwidth bottleneck](./doc/bottleneck.md)
    - [Some logs/data/info about our hardware](./doc/logs.md)
  - Misc
    - [Bibliography](./doc/bib.md)
    - [Some mostly useless hacks](./doc/hacks.md)




